This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 814152 - [eap6] logging - adding console/file handler
[eap6] logging - adding console/file handler
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Agent (Show other bugs)
4.4
Unspecified Unspecified
high Severity unspecified (vote)
: ---
: ---
Assigned To: Simeon Pinder
Mike Foley
:
Depends On: 782506
Blocks: as7-plugin
  Show dependency treegraph
 
Reported: 2012-04-19 06:15 EDT by Libor Zoubek
Modified: 2015-11-01 19:42 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-01 15:22:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Libor Zoubek 2012-04-19 06:15:08 EDT
Description of problem: It is not possible to add or remove console handler


Version-Release number of selected component (if applicable):
Version: 4.4.0-SNAPSHOT
Build Number: a5e442c
EAP6 ER5

How reproducible:always


Steps to Reproduce:
1.import EAP6 in standalone mode
2.go to logging->CONSOLE resource, operations
3.add new called "MY"
  
Actual results:
java.lang.Exception: JBAS014803: Duplicate resource [
    ("subsystem" => "logging"),
    ("console-handler" => "CONSOLE")
], rolled-back=true

same applies to adding FILE handler


Expected results: new handler is added


Additional info: Is there any special reason why file handler can be added only via an operation on another file handler resource? This way it is possible to remove the last handler and then not being able to add it back anymore. If it is possible we could switch to 'Create Child' way or at least move operation to 'logging' subsystem resource.
Comment 1 Simeon Pinder 2012-04-19 12:29:28 EDT
The original issue with CONSOLE was fixed earlier this morning.  The operations were removed for the logging types and instead modifiable via Create/Delete child operations.

There is still an issue with File type. Working on that now.
Comment 2 Simeon Pinder 2012-04-20 09:28:20 EDT
Both of these should be fixed with this commit to master 16f2db3d262eb05a5ca, BUT there is a problem with the File handler(https://bugzilla.redhat.com/show_bug.cgi?id=782506) where handlers that use files should be showing that the file type is required in the configuration editor but they currently are not. 

This means that until this is fixed, tests of the following handlers that attempt to update, add or modify configurations with File Handler, Periodic Rotating File Handler and Size Rotating File Handler should only be done by specifying the required file parameters.
Comment 3 Simeon Pinder 2012-04-23 10:28:46 EDT
All fixes for this bz are in master.

Additionally the filter type should not be used when testing out Logging Handlers as there is an issue writing the type data back to the AS7 servers. See the following issues for details:

https://bugzilla.redhat.com/show_bug.cgi?id=815378
https://issues.jboss.org/browse/AS7-4582

Moving this to ON_QA as the original issues raised have been addressed.  Will file additional BZ's for new issues.
Comment 4 Heiko W. Rupp 2013-09-01 15:22:44 EDT
Bulk closing of BZs that have no target version set, but which are ON_QA for more than a year and thus are in production for a long time.

Note You need to log in before you can comment on or make changes to this bug.